commit:     7412fe7399fae12a469dfa0f9f80c9b34660ad7c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Oct  5 02:51:56 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Oct  5 02:51:56 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7412fe73

dev-python/nbconvert: Bump to 7.9.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/nbconvert/Manifest               |  1 +
 dev-python/nbconvert/nbconvert-7.9.2.ebuild | 82 +++++++++++++++++++++++++++++
 2 files changed, 83 insertions(+)

diff --git a/dev-python/nbconvert/Manifest b/dev-python/nbconvert/Manifest
index 77368b379180..b44fc24ff720 100644
--- a/dev-python/nbconvert/Manifest
+++ b/dev-python/nbconvert/Manifest
@@ -1,2 +1,3 @@
 DIST nbconvert-7.8.0.tar.gz 850287 BLAKE2B 
c499f9df8dd7eb4d337f0b7b6f79cb6046361900747fc1cbd84426b2fda35f9e453002341b322b32f04187e0fd3e375dcc4338e3b4bc7455ddc4f2185a69ed1d
 SHA512 
e332f5561050244c79e728c71e51b9ecd66c99c1550bb95bc3cb710b1bb67a3513c0a7c00cb3e333c032e5228f251b7be036162c77cb375900c5eacc923fc197
 DIST nbconvert-7.9.1.tar.gz 850278 BLAKE2B 
718eb528911c85f7a60285590fdf6d0bea6b9f6a11b9764506cfeb46ace20b32582947a7f63f7c1a8c3d631cc2b032a683cabcad9f52414a260a05acc717d1dc
 SHA512 
d50cec9fdb89d1b6e31fe24aa9146207aea86438b96d8f7a5d9ee4d18f41f0c53ae1855e0701d2ddceb00b5e97bf849c63790a674ac2346546ab7285ee3c9a6e
+DIST nbconvert-7.9.2.tar.gz 850333 BLAKE2B 
d2d2b6f04e879a78151e606c24b03dd4655b37cc13a1302d7d7a8fd880d9728f0a144f25aefbfaa4b63d4a510811ee6af6d92cf9506d2c1718d7b319cb7ef745
 SHA512 
43ed36aae813f77bfd50aebfed4c650e552fc5a438e607b924aa2907f23c53c61ec3ddff1051d77e8b0ad968fcef17e6b010b1e7876b17b380d2e12cfeecf631

diff --git a/dev-python/nbconvert/nbconvert-7.9.2.ebuild 
b/dev-python/nbconvert/nbconvert-7.9.2.ebuild
new file mode 100644
index 000000000000..c3ac4e5d1e50
--- /dev/null
+++ b/dev-python/nbconvert/nbconvert-7.9.2.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 multiprocessing pypi virtualx
+
+DESCRIPTION="Converting Jupyter Notebooks"
+HOMEPAGE="
+       https://nbconvert.readthedocs.io/
+       https://github.com/jupyter/nbconvert/
+       https://pypi.org/project/nbconvert/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86"
+
+RDEPEND="
+       dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+       dev-python/bleach[${PYTHON_USEDEP}]
+       dev-python/defusedxml[${PYTHON_USEDEP}]
+       >=dev-python/jinja-3.0[${PYTHON_USEDEP}]
+       >=dev-python/jupyter-core-4.7[${PYTHON_USEDEP}]
+       dev-python/jupyterlab-pygments[${PYTHON_USEDEP}]
+       >=dev-python/markupsafe-2.0[${PYTHON_USEDEP}]
+       <dev-python/mistune-4[${PYTHON_USEDEP}]
+       >=dev-python/nbclient-0.5.0[${PYTHON_USEDEP}]
+       >=dev-python/nbformat-5.7[${PYTHON_USEDEP}]
+       dev-python/packaging[${PYTHON_USEDEP}]
+       >=dev-python/pandocfilters-1.4.1[${PYTHON_USEDEP}]
+       >=dev-python/pygments-2.4.1[${PYTHON_USEDEP}]
+       dev-python/tinycss2[${PYTHON_USEDEP}]
+       >=dev-python/traitlets-5.1.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/ipykernel[${PYTHON_USEDEP}]
+               >=dev-python/ipywidgets-7[${PYTHON_USEDEP}]
+               dev-python/flaky[${PYTHON_USEDEP}]
+               dev-python/pytest-xdist[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       mkdir -p share/templates/classic/static || die
+       # tries to refetch stuff even if it's already present
+       sed -e 's:css = .*:raise PermissionError("You shall not fetch!"):' \
+               -i hatch_build.py || die
+       distutils-r1_src_prepare
+}
+
+src_test() {
+       virtx distutils-r1_src_test
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # TODO
+               
tests/test_nbconvertapp.py::TestNbConvertApp::test_convert_full_qualified_name
+               
tests/test_nbconvertapp.py::TestNbConvertApp::test_post_processor
+               # crazy qtweb* stuff, perhaps permissions
+               tests/exporters/test_qtpdf.py::TestQtPDFExporter::test_export
+               tests/exporters/test_qtpng.py::TestQtPNGExporter::test_export
+       )
+
+       # virtx implies nonfatal, make it explicit to avoid confusion
+       nonfatal epytest -n "$(makeopts_jobs)" || die
+}
+
+pkg_postinst() {
+       if ! has_version virtual/pandoc; then
+               einfo "Pandoc is required for converting to formats other than 
Python,"
+               einfo "HTML, and Markdown. If you need this functionality, 
install"
+               einfo "app-text/pandoc or app-text/pandoc-bin."
+       fi
+}

Reply via email to